varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	lowp vec4 color = texture2D(u_texture, v_texCoord);
	lowp float grayScale = dot(color.rgb, vec3(0.299, 0.587, 0.114));
	gl_FragColor = vec4(mix(grayScale, color.r, v_color.x),
						mix(grayScale, color.g, v_color.y),
						mix(grayScale, color.b, v_color.z),
						v_color.a);
}